Skip to main content
POST
/
Agent
/
Storage
/
SearchInVault
Search In Vault
curl --request POST \
  --url https://{host}/Agent/Storage/SearchInVault \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "<string>",
  "clientId": "<string>",
  "masked": true,
  "Tags": [
    {
      "name": "<string>",
      "value": "<string>"
    }
  ],
  "offset": 1,
  "maxCount": 99
}
'
{
  "ResultSet": [
    {
      "vaultId": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "updated": "2023-11-07T05:31:56Z",
      "Tags": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ],
      "type": "<string>",
      "clientId": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt

Use this file to discover all available pages before exploring further.

Overview

Allows the client to search for items in the vault. It is only possible to retrieve items that have been stored using the same account.

Authentication

Requires a valid JWT bearer token.

Notes

This endpoint uses the request schema notation described in Pattern matching.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
type
string
clientId
string
masked
boolean
Tags
object[]
offset
integer
Required range: x >= 0
maxCount
integer
Required range: x <= 100

Response

200 - application/json

Success

ResultSet
object[]